toEnuAdv {oce} | R Documentation

## Convert an ADV Object to ENU Coordinates

### Description

Convert an ADV Object to ENU Coordinates

### Usage

    toEnuAdv(x, declination = 0, debug = getOption("oceDebug"))

### Arguments

`x` | An `adv` object, i.e. one inheriting from `adv-class`.
`declination` | magnetic declination to be added to the heading, to get ENU with N as "true" north.

`debug`

an integer specifying whether debugging information is to be printed during the processing. This is a general parameter that is used by many `oce` functions. Generally, setting `debug=0` turns off the printing, while higher values suggest that more information be printed. If one function calls another, it usually reduces the value of `debug` first, so that a user can often obtain deeper debugging by specifying higher `debug` values.

### Author(s)

Dan Kelley

### References

http://www.nortek-as.com/lib/forum-attachments/coordinate-transformation

### See Also

See `read.adv` for notes on functions relating to `"adv"` objects. Also, see `beamToXyzAdv` and `xyzToEnuAdv`.

Other things related to `adv` data: `[[,adv-method`, `[[<-,adv-method`, `adv-class`, `adv`, `beamName`, `beamToXyz`, `enuToOtherAdv`, `enuToOther`, `plot,adv-method`, `read.adv.nortek`, `read.adv.sontek.adr`, `read.adv.sontek.serial`, `read.adv.sontek.text`, `read.adv`, `subset,adv-method`, `summary,adv-method`, `toEnu`, `velocityStatistics`, `xyzToEnuAdv`, `xyzToEnu`

[Package oce version 0.9-22 Index]